Bug Hunting Session
Bug 87237 - matrix comparisons do not propagate error values
Summary: matrix comparisons do not propagate error values
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium major
Assignee: Eike Rathke
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 ta...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-12-11 13:54 UTC by Eike Rathke
Modified: 2014-12-20 09:31 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
matrix comparison loses error values test case document (7.62 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-12-11 13:54 UTC, Eike Rathke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2014-12-11 13:54:24 UTC
Created attachment 110739 [details]
matrix comparison loses error values test case document

During matrix comparisons error values are lost and converted to boolean values. See attached test case. Cells B3 and C3 should result in a #DIV/0! error.
Comment 1 Commit Notification 2014-12-11 15:49:27 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c405ff82fcc9f8f044833420485c54658064636

resolved fdo#87237 propagate error values through matrix comparisons

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2014-12-11 16:10:48 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0de89027068c7e2bb60207df0c50efdbfcc70f3&h=libreoffice-4-4

resolved fdo#87237 propagate error values through matrix comparisons

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2014-12-11 16:51:46 UTC
Pending reviews
https://gerrit.libreoffice.org/13439 for 4-3
https://gerrit.libreoffice.org/13440 for 4-3-5
Comment 4 Commit Notification 2014-12-11 17:56:05 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6c41a1272e43a3e3b785724991837b597dbf00ef

unit test for matrix comparison error propagation, fdo#87237

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-11 18:13:54 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a6a0e8059d4996c579d47171a5b833f9b4c22975&h=libreoffice-4-4

unit test for matrix comparison error propagation, fdo#87237

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-11 18:58:09 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1caec332430dbadcb6df153601c287318247d9d6&h=libreoffice-4-3-5

resolved fdo#87237 propagate error values through matrix comparisons

It will be available in 4.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-12-17 14:40:26 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b80793b919520e443024da5499e7ab9f6720d6c&h=libreoffice-4-3

resolved fdo#87237 propagate error values through matrix comparisons

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-12-20 09:31:04 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5ab92248e80a3ff8869a7e731ab70a948531280&h=libreoffice-4-2

resolved fdo#87237 propagate error values through matrix comparisons

It will be available in 4.2.9.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.